module Ruby
  module Terraform
    module Commands
      class ValidateCommand
        include ExecutionSupport

        attr_accessor :dir
        attr_accessor :json

        def initialize(opts = {})
          @dir = opts[:dir]
          @json = opts[:json]
        end

        def command
          cmd = %W[#{tf_binary} validate]

          cmd += ['-json'] if json

          cmd += [dir] if dir
          cmd
        end
      end
    end
  end
end