module Ruby
  module Terraform
    module Tasks
      class InitTask < BaseTask
        attr_accessor :backend
        attr_accessor :backend_config

        def define
          desc description || "Initialize #{configuration_name} using terraform"
          task task_name => Array(deps) do
            Commands::InitCommand.new(dir: dir, backend: backend, backend_config: backend_config).execute(show_command: show_command, live: show_output)
          end
        end
      end
    end
  end
end