module Ruby
  module Terraform
    module Tasks
      class ValidateTask < BaseTask
        attr_accessor :json

        def define
          desc description || "Validate #{configuration_name} using terraform"
          task task_name => Array(deps) do
            Commands::ValidateCommand.new(dir: dir, json: json).execute(show_command: show_command, live: show_output)
          end
        end
      end
    end
  end
end