module Ruby
  module Terraform
    module Tasks
      class ApplyTask < BaseTask
        attr_accessor :state
        attr_accessor :vars
        attr_accessor :auto_approve

        def define
          desc description || "Apply #{configuration_name} using terraform"
          task task_name => Array(deps) do
            Commands::ApplyCommand.new(dir: dir, state: state, vars: vars, auto_approve: auto_approve).execute(show_command: show_command, live: show_output)
          end
        end
      end
    end
  end
end