module Ruby
  module Terraform
    module Tasks
      class OutputTask < BaseTask
        attr_accessor :state
        attr_accessor :json
        attr_accessor :name

        def define
          desc description || "Output #{configuration_name} using terraform"
          task task_name => Array(deps) do
            Commands::OutputCommand.new(dir: dir, state: state, json: json, name: name).execute(show_command: show_command, live: show_output)
          end
        end
      end
    end
  end
end