module Ruby
  module Terraform
    module Tasks
      class PlanTask < BaseTask
        attr_accessor :state
        attr_accessor :vars

        def define
          desc description || "Plan #{configuration_name} using terraform"
          task task_name => Array(deps) do
            Commands::PlanCommand.new(dir: dir, state: state, vars: vars).execute(show_command: show_command, live: show_output)
          end
        end
      end
    end
  end
end